package com.fs.watch.service;

import com.fs.watch.domain.WatchDeviceData;

import java.util.List;

/**
* @author Administrator
* @description 针对表【watch_device_data(设备信息)】的数据库操作Service
* @createDate 2024-10-15 11:06:50
*/
public interface WatchDeviceDataService{

    Boolean insert(WatchDeviceData data);

    int update(WatchDeviceData data);

    Boolean updateByDeviceId(WatchDeviceData watchDeviceData);

    WatchDeviceData getByDeviceId(String deviceId);

    List<WatchDeviceData> getByUserId(String userId);

    boolean existsByDeviceId(String deviceId);
}
